#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEC,0x17,0x45,0xFE,0x5C,0x3E,0x40,0xE2,0x77,0x62,0xFA,0x44,
		0x44,0x76,0x65,0x53,0x4B,0xF6,0xD9,0xB0,0xCD,0xD2,0x65,0x57,
		0xC1,0x1A,0xE7,0xE6,0x69,0xB6,0xDA,0x58,0xA5,0x28,0xA3,0x9D,
		0xB5,0x40,0x3F,0xE7,0x8A,0x60,0x51,0xC5,0x2C,0xE6,0xA0,0x25,
		0xE6,0x59,0x19,0x97,0xC5,0xDC,0x08,0x23,0xFD,0xFB,0x75,0xBE,
		0xDA,0x98,0xC4,0x3F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
